#ifndef DEFINES_H_
#define DEFINES_H_
// holds defines used in msp430 firmware
#define RAWBUFFMAXLEN 64
#define CHECKRX 0   // don't switch CHECKRX/~TX; using them as offset!
#define CHECKTX 1

#define PACKET_TYPE_IDLE      PACKET_TYPE_00
#define PACKET_TYPE_COMMORG   PACKET_TYPE_01
#define PACKET_TYPE_MSPSTAT   PACKET_TYPE_02
#define PACKET_TYPE_I2C     PACKET_TYPE_03
  //#define PACKET_TYPE_TBD     PACKET_TYPE_04
  //#define PACKET_TYPE_TBD     PACKET_TYPE_05
  //#define PACKET_TYPE_TBD     PACKET_TYPE_06
  //#define PACKET_TYPE_TBD     PACKET_TYPE_07
  //#define PACKET_TYPE_TBD     PACKET_TYPE_08
  //#define PACKET_TYPE_TBD     PACKET_TYPE_09
  //#define PACKET_TYPE_TBD     PACKET_TYPE_10
  //#define PACKET_TYPE_TBD     PACKET_TYPE_11
  //#define PACKET_TYPE_TBD     PACKET_TYPE_12
  //#define PACKET_TYPE_TBD     PACKET_TYPE_13
  //#define PACKET_TYPE_TBD     PACKET_TYPE_14
#define PACKET_TYPE_DEBUG     PACKET_TYPE_15

//Packetsettings
#define ACKNACK_ACK 0xF0
#define ACKNACK_NACK 0x0F

#define COMMORG_USB_RESET 0xF0
#define COMMORG_UART_BAUDRATE 0x0C
#define COMMORG_I2C_BAUDRATE 0x03

#define MSPSTAT_NAME 0x80
#define MSPSTAT_FIRMWARE 0x40
#define MSPSTAT_HARDWARE 0x20
#define MSPSTAT_PROTOCOL 0x10

#define DEBUG_OR_BYTE 0x80
#define DEBUG_AND_BYTE 0x40
#define DEBUG_READ_BYTE 0x20
#define DEBUG_SET_BYTE 0x10


#define BIT0 1
#define BIT1 2
#define BIT2 4
#define BIT3 8
#define BIT4 16
#define BIT5 32
#define BIT6 64
#define BIT7 128
#define SPLITERROR 0xFF

typedef enum PacketType
{
  PACKET_TYPE_00  = (BYTE) 0x00,
  PACKET_TYPE_01  = (BYTE) 0x0F,
  PACKET_TYPE_02  = (BYTE) 0x33,
  PACKET_TYPE_03  = (BYTE) 0x3C,
  PACKET_TYPE_04  = (BYTE) 0x55,
  PACKET_TYPE_05  = (BYTE) 0x5A,
  PACKET_TYPE_06  = (BYTE) 0x66,
  PACKET_TYPE_07  = (BYTE) 0x69,
  PACKET_TYPE_08  = (BYTE) 0x96,
  PACKET_TYPE_09  = (BYTE) 0x99,
  PACKET_TYPE_10  = (BYTE) 0xA5,
  PACKET_TYPE_11  = (BYTE) 0xAA,
  PACKET_TYPE_12  = (BYTE) 0xC3,
  PACKET_TYPE_13  = (BYTE) 0xCC,
  PACKET_TYPE_14  = (BYTE) 0xF0,
  PACKET_TYPE_15  = (BYTE) 0xFF
}PacketType;
#endif /*DEFINES_H_*/
